if(!window.bitsPreferences){
	window.bitsPreferences = {
		get prefs(){ return Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch); },
		copyUnicharPref: function(prefName,defaultValue){
			var value = defaultValue;
			if(this.prefs.prefHasUserValue(prefName)) value = this.prefs.getComplexValue(prefName,Components.interfaces.nsISupportsString).data;
			return value;
		},
		setUnicharPref: function(prefName,value){
			var str = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);
			str.data = value;
			this.prefs.setComplexValue(prefName, Components.interfaces.nsISupportsString, str);
		},
		getBoolPref: function(prefName,defaultValue){
			var value = defaultValue;
			if(this.prefs.prefHasUserValue(prefName)) value = this.prefs.getBoolPref(prefName);
			return value;
		},
		setBoolPref: function(prefName,value){
			this.prefs.setBoolPref(prefName,value);
		},
		getCharPref: function(prefName,defaultValue){
			var value = defaultValue;
			if(this.prefs.prefHasUserValue(prefName)) value = this.prefs.getCharPref(prefName);
			return value;
		},
		setCharPref: function(prefName,value){
			this.prefs.setCharPref(prefName,value);
		},
		getIntPref: function(prefName,defaultValue){
			var value = defaultValue;
			if(this.prefs.prefHasUserValue(prefName)) value = this.prefs.getIntPref(prefName);
			return value;
		},
		setIntPref: function(prefName,value){
			this.prefs.setIntPref(prefName,value);
		}
	};
}
